<meta http-equiv="Content-Type" content="text/html; charset=utf-8"/>
<link rel="stylesheet" href="style.css" type="text/css"/>
<script src="code.js" type="text/javascript"></script>

<h1>qemu range_size() counterexample</h1>

<pre class="code">
  /* Get the size of range. */
  static inline uint64_t range_size(const Range *range)
  {
      return range->upb - range->lob + 1;
  }
</pre>
<pre>
  ┌─────────────────────────────────────────────────┐ 
  │░░░░░░░░░░░░░░░░░░░░░░░░░░░░░░░░░░░░░░░░░░░░░░░░░│
  └─────────────────────────────────────────────────┘
  range->lob == 0           range->upb == UINT64_MAX
</pre>
